Subject: Re: [PATCH 8/8] powerpc/powernv: Error injection infrastructure

From: Alexander Graf <[email-masked]>
Date: Mon, 19 May 2014 15:04:29 +0200

On 14.05.14 06:12, Gavin Shan wrote:
> The patch intends to implement the error injection infrastructure
> for PowerNV platform. The predetermined handlers will be called
> according to the type of injected error (e.g. OpalErrinjctTypeIoaBusError).
> For now, we just support PCI error injection. We need support
> injecting other types of errors in future.

Your token to a VFIO device is the VFIO fd. If you want to inject an 
error into that device, you should do it via that token. That gets you 
all permission problems solved for free.

But I still didn't quite grasp why you need to do this. Why do we need 
to inject an error into a device via OPAL when we want to do EEH inside 
of a guest? Are you trying to emulate guest side error injection?

Alex